const COLORLIST = [
  '#C0232C',
  '#B6C335',
  '#FBCE0F',
  '#E87C24',
  '#28727B',
  '#FF8463',
  '#9BCA62',
  '#FAD75F',
  '#F3A43B',
  '#62BFE0',
  '#D7504C',
];
// 图表轮播图测试数据
export const WarpTestData = [
  {
    id: 1,
    seq: 1,
    label: '1号',
    url: require('./element/imgs/carousel-1.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '1号',
      },
      tooltip: {
        trigger: 'item',
      },
      legend: {
        orient: 'vertical',
        left: 'left',
        top: 'bottom',
      },
      series: [
        {
          type: 'pie',
          data: [
            { value: 1048, name: '苹果' },
            { value: 735, name: '香蕉' },
            { value: 580, name: '葡萄' },
            { value: 484, name: '梨' },
            { value: 300, name: '荔枝' },
          ],
        },
      ],
    },
  },
  {
    id: 2,
    seq: 2,
    label: '2号',
    url: require('./element/imgs/carousel-2.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '2号',
      },
      tooltip: {
        trigger: 'axis',
      },
      legend: {
        data: ['苹果', '香蕉', '葡萄', '梨', '荔枝'],
      },
      xAxis: {
        type: 'category',
        boundaryGap: false,
        data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
      },
      yAxis: {
        type: 'value',
      },
      series: [
        {
          name: '苹果',
          type: 'line',
          stack: 'Total',
          data: [120, 132, 101, 134, 90, 230, 210],
        },
        {
          name: '香蕉',
          type: 'line',
          stack: 'Total',
          data: [220, 182, 191, 234, 290, 330, 310],
        },
        {
          name: '葡萄',
          type: 'line',
          stack: 'Total',
          data: [150, 232, 201, 154, 190, 330, 410],
        },
        {
          name: '梨',
          type: 'line',
          stack: 'Total',
          data: [320, 332, 301, 334, 390, 330, 320],
        },
        {
          name: '荔枝',
          type: 'line',
          stack: 'Total',
          data: [820, 932, 901, 934, 1290, 1330, 1320],
        },
      ],
    },
  },
  {
    id: 3,
    seq: 3,
    label: '3号',
    url: require('./element/imgs/carousel-3.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '3号',
      },
      tooltip: {
        trigger: 'axis',
        axisPointer: {
          type: 'shadow',
        },
      },
      legend: {},
      grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        containLabel: true,
      },
      xAxis: {
        type: 'category',
        data: ['Brazil', 'Indonesia', 'USA', 'India', 'China', 'World'],
      },
      yAxis: {
        type: 'value',
      },
      series: [
        {
          name: '2011',
          type: 'bar',
          data: [18203, 23489, 29034, 104970, 131744, 630230],
        },
        {
          name: '2012',
          type: 'bar',
          data: [19325, 23438, 31000, 121594, 134141, 681807],
        },
      ],
    },
  },
  {
    id: 4,
    seq: 4,
    label: '4号',
    url: require('./element/imgs/carousel-4.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '4号',
      },
      tooltip: {
        trigger: 'item',
      },
      series: [
        {
          type: 'pie',
          radius: [20, 120],
          center: ['50%', '50%'],
          roseType: 'area',
          itemStyle: {
            borderRadius: 8,
          },
          data: [
            { value: 40, name: 'rose 1' },
            { value: 38, name: 'rose 2' },
            { value: 32, name: 'rose 3' },
            { value: 30, name: 'rose 4' },
            { value: 28, name: 'rose 5' },
            { value: 26, name: 'rose 6' },
            { value: 22, name: 'rose 7' },
            { value: 18, name: 'rose 8' },
          ],
        },
      ],
    },
  },
];

// 图表轮播图测试数据2
export const WarpTestData2 = [
  {
    id: 1,
    seq: 1,
    label: '1号',
    url: require('./element/imgs/carousel-1.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '1号-测试数据2',
      },
      tooltip: {
        trigger: 'item',
      },
      legend: {
        orient: 'vertical',
        left: 'left',
        top: 'bottom',
      },
      series: [
        {
          type: 'pie',
          data: [
            { value: 1048, name: '苹果' },
            { value: 735, name: '香蕉' },
            { value: 580, name: '葡萄' },
            { value: 484, name: '梨' },
            { value: 300, name: '荔枝' },
          ],
        },
      ],
    },
  },
  {
    id: 2,
    seq: 2,
    label: '2号',
    url: require('./element/imgs/carousel-2.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '2号-测试数据2',
      },
      tooltip: {
        trigger: 'axis',
      },
      legend: {
        data: ['苹果', '香蕉', '葡萄', '梨', '荔枝'],
      },
      xAxis: {
        type: 'category',
        boundaryGap: false,
        data: ['Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat', 'Sun'],
      },
      yAxis: {
        type: 'value',
      },
      series: [
        {
          name: '苹果',
          type: 'line',
          stack: 'Total',
          data: [990, 1000, 1200, 800, 90, 230, 210],
        },
        {
          name: '香蕉',
          type: 'line',
          stack: 'Total',
          data: [500, 200, 100, 700, 290, 330, 310],
        },
        {
          name: '葡萄',
          type: 'line',
          stack: 'Total',
          data: [400, 300, 90, 750, 190, 330, 410],
        },
        {
          name: '梨',
          type: 'line',
          stack: 'Total',
          data: [450, 220, 88, 680, 390, 330, 320],
        },
        {
          name: '荔枝',
          type: 'line',
          stack: 'Total',
          data: [550, 250, 120, 600, 1290, 1330, 1320],
        },
      ],
    },
  },
  {
    id: 3,
    seq: 3,
    label: '3号-测试数据2',
    url: require('./element/imgs/carousel-3.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '3号-测试数据2',
      },
      tooltip: {
        trigger: 'axis',
        axisPointer: {
          type: 'shadow',
        },
      },
      legend: {},
      grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        containLabel: true,
      },
      xAxis: {
        type: 'category',
        data: ['一月', '二月', '三月', '四月', '五月', '六月'],
      },
      yAxis: {
        type: 'value',
      },
      series: [
        {
          name: '降水',
          type: 'bar',
          data: [6000, 7000, 6500, 5800, 7000, 10000],
        },
        {
          name: '光照',
          type: 'bar',
          data: [10000, 9000, 8000, 7000, 10000, 12000],
        },
      ],
    },
  },
  {
    id: 4,
    seq: 4,
    label: '4号',
    url: require('./element/imgs/carousel-4.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '4号-测试数据2',
      },
      tooltip: {
        trigger: 'item',
      },
      series: [
        {
          type: 'pie',
          radius: [20, 120],
          center: ['50%', '50%'],
          roseType: 'area',
          itemStyle: {
            borderRadius: 8,
          },
          data: [
            { value: 50, name: '周一' },
            { value: 60, name: '周二' },
            { value: 65, name: '周三' },
            { value: 75, name: '周四' },
            { value: 100, name: '周五' },
            { value: 120, name: '周六' },
            { value: 80, name: '周日' },
          ],
        },
      ],
    },
  },
  {
    id: 5,
    seq: 5,
    label: '5号',
    url: require('./element/imgs/carousel-4.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '5号-测试数据2',
      },
      xAxis: {},
      yAxis: {},
      series: [
        {
          symbolSize: 20,
          data: [
            [10.0, 8.04],
            [8.07, 6.95],
            [13.0, 7.58],
            [9.05, 8.81],
            [11.0, 8.33],
            [14.0, 7.66],
            [13.4, 6.81],
            [10.0, 6.33],
            [14.0, 8.96],
            [12.5, 6.82],
            [9.15, 7.2],
            [11.5, 7.2],
            [3.03, 4.23],
            [12.2, 7.83],
            [2.02, 4.47],
            [1.05, 3.33],
            [4.05, 4.96],
            [6.03, 7.24],
            [12.0, 6.26],
            [12.0, 8.84],
            [7.08, 5.82],
            [5.02, 5.68],
          ],
          type: 'scatter',
        },
      ],
    },
  },
];

// 图表轮播图测试数据3
export const WarpTestData3 = [
  {
    id: 1,
    seq: 1,
    label: '1号',
    url: require('./element/imgs/carousel-1.jpg'),
    option: {
      animation: false,
      color: COLORLIST,
      title: {
        text: '1号-测试数据3',
      },
      tooltip: {
        trigger: 'item',
      },
      legend: {
        orient: 'vertical',
        left: 'left',
        top: 'bottom',
      },
      series: [
        {
          type: 'pie',
          data: [
            { value: 100, name: 'A' },
            { value: 200, name: 'B' },
            { value: 300, name: 'C' },
            { value: 400, name: 'D' },
            { value: 500, name: 'E' },
          ],
        },
      ],
    },
  },
];

// 权限扁平化数据结构
export const AUTHS = [
  {
    id: 1,
    title: '客户协议管理/客户制板协议管理/查看',
    name: 'customer_agreement_mgt/cam_pcb/read',
    i18n: {
      'zh-CN': '客户协议管理/客户制板协议管理/查看',
    },
  },
  {
    id: 2,
    title: '客户协议管理/客户制板协议管理/新建',
    name: 'customer_agreement_mgt/cam_pcb/create',
    i18n: {
      'zh-CN': '客户协议管理/客户制板协议管理/新建',
    },
  },
  {
    id: 3,
    title: '客户协议管理/客户制板协议管理/编辑',
    name: 'customer_agreement_mgt/cam_pcb/edit',
    i18n: {
      'zh-CN': '客户协议管理/客户制板协议管理/编辑',
    },
  },
  {
    id: 4,
    name: 'sys/user/read',
    title: 'System/User Mgt/Read',
    i18n: {
      'en-US': 'System/User Mgt/Read',
      'zh-CN': '系统设置/用户管理/查看',
      'zh-TW': '系統設置/用戶管理/查看',
    },
  },
  {
    id: 5,
    name: 'sys/user/create',
    title: 'System/User Mgt/Create',
    i18n: {
      'en-US': 'System/User Mgt/Create',
      'zh-CN': '系统设置/用户管理/新建',
      'zh-TW': '系統設置/用戶管理/新建',
    },
  },
  {
    id: 6,
    title: '系统设置/角色管理/查看',
    name: 'sys/role/read',
    i18n: {
      'en-US': 'System/Role Mgt/Read',
      'zh-CN': '系统设置/角色管理/查看',
      'zh-TW': '系統設置/角色管理/查看',
    },
  },
  {
    id: 7,
    title: '系统设置/角色管理/新建',
    name: 'sys/role/create',
    i18n: {
      'en-US': 'System/Role Mgt/Create',
      'zh-CN': '系统设置/角色管理/新建',
      'zh-TW': '系統設置/角色管理/新建',
    },
  },
];

// 机台列表测试数据1
export const machineList1 = [
  {
    code: 'Z01',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z02',
    state: 'run',
    color: 'pink',
  },
  {
    code: 'Z03',
    state: 'run',
    color: 'green',
  },
  {
    code: 'Z04',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z05',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z06',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z07',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z08',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z09',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z010',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z011',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z012',
    state: 'run',
    color: 'red',
  },
  {
    code: 'Z013',
    state: 'run',
    color: 'red',
  },
];

// 机台列表测试数据2
export const machineList2 = [
  {
    code: 'B01',
    state: 'run',
    color: 'pink',
  },
  {
    code: 'B02',
    state: 'run',
    color: 'pink',
  },
  {
    code: 'B03',
    state: 'run',
    color: 'pink',
  },
  {
    code: 'B04',
    state: 'run',
    color: 'pink',
  },
  {
    code: 'B05',
    state: 'run',
    color: 'pink',
  },
  // {
  //   code: 'B06',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B07',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B08',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B09',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B010',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B011',
  //   state: 'run',
  //   color: 'pink',
  // },
  // // 分割
  // {
  //   code: 'B012',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B013',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B014',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B015',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B016',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B017',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B018',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B019',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B020',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B021',
  //   state: 'run',
  //   color: 'pink',
  // },
  // {
  //   code: 'B022',
  //   state: 'run',
  //   color: 'pink',
  // },
];
